Bug 1121623 - [AMQP 1.0] annotations overwrite application properties
Summary: [AMQP 1.0] annotations overwrite application properties
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 3.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: 3.0
: ---
Assignee: Gordon Sim
QA Contact: Eric Sammons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 12:05 UTC by Gordon Sim
Modified: 2015-01-21 12:54 UTC (History)
5 users (show)

Fixed In Version: qpid-cpp-0.22-45
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 12:54:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA QPID-5908 None None None Never

Description Gordon Sim 2014-07-21 12:05:52 UTC
Description of problem:

If a message containing annotations is received over AMQP 1.0 using the qpid::messaging API, any application-properties that may also be in the message cannot be seen by the application as the getProperties() method returns only the annotations (and if there were both delivery- and message- annotations, only the message-annotations would be presented).

Version-Release number of selected component (if applicable):

qpid 0.28 and latest 3.0 candidates

How reproducible:

100%

Steps to Reproduce:
1. Send a message from JMS over 1.0 (0.28 version) with an application property set
2. Receive that message using qpid::messaging and attempt to retrieve the property in question

Actual results:

property cannot be seen in c++ client

Expected results:

property can be retrieved in c++ client

Additional info:

The workaround is to specify the nest_annotations connection option to be true.

Comment 1 Gordon Sim 2014-07-21 12:46:04 UTC
Fix committed upstream as http://svn.apache.org/r1612258

Comment 5 Valiantsina Hubeika 2014-08-07 14:49:20 UTC
verified on
qpid-cpp-0.22-45


Note You need to log in before you can comment on or make changes to this bug.